wxWidgets: /usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/string.h File Reference

| Version: 3.0.4

Classes | Functions | Variables
string.h File Reference

## Classes
class | wxString
| String class for passing textual data to or receiving it from wxWidgets. More...
class | wxStringBufferLength
| This tiny class allows you to conveniently access the wxString internal buffer as a writable pointer without any risk of forgetting to restore the string to the usable state later, and allows the user to set the internal length of the string. More...
class | wxStringBuffer
| This tiny class allows you to conveniently access the wxString internal buffer as a writable pointer without any risk of forgetting to restore the string to the usable state later. More...

## Functions
template<bool(T)(const wxUniChar &c) >
bool | wxStringCheck (const wxString &val)
| Allows to extend a function with the signature: More...
bool | operator== (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator< (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator> (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator<= (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator>= (const wxString &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator== (const wxString &s1, const wxCStrData &s2)
| Comparison operator for string types. More...
bool | operator== (const wxCStrData &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxString &s1, const wxCStrData &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxCStrData &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator== (const wxString &s1, const wxWCharBuffer &s2)
| Comparison operator for string types. More...
bool | operator== (const wxWCharBuffer &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxString &s1, const wxWCharBuffer &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxWCharBuffer &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator== (const wxString &s1, const wxCharBuffer &s2)
| Comparison operator for string types. More...
bool | operator== (const wxCharBuffer &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxString &s1, const wxCharBuffer &s2)
| Comparison operator for string types. More...
bool | operator!= (const wxCharBuffer &s1, const wxString &s2)
| Comparison operator for string types. More...
bool | operator== (const wxUniChar &c, const wxString &s)
| Comparison operators char types. More...
bool | operator== (const wxUniCharRef &c, const wxString &s)
| Comparison operators char types. More...
bool | operator== (char c, const wxString &s)
| Comparison operators char types. More...
bool | operator== (wchar_t c, const wxString &s)
| Comparison operators char types. More...
bool | operator== (int c, const wxString &s)
| Comparison operators char types. More...
bool | operator== (const wxString &s, const wxUniChar &c)
| Comparison operators char types. More...
bool | operator== (const wxString &s, const wxUniCharRef &c)
| Comparison operators char types. More...
bool | operator== (const wxString &s, char c)
| Comparison operators char types. More...
bool | operator== (const wxString &s, wchar_t c)
| Comparison operators char types. More...
bool | operator!= (const wxUniChar &c, const wxString &s)
| Comparison operators char types. More...
bool | operator!= (const wxUniCharRef &c, const wxString &s)
| Comparison operators char types. More...
bool | operator!= (char c, const wxString &s)
| Comparison operators char types. More...
bool | operator!= (wchar_t c, const wxString &s)
| Comparison operators char types. More...
bool | operator!= (int c, const wxString &s)
| Comparison operators char types. More...
bool | operator!= (const wxString &s, const wxUniChar &c)
| Comparison operators char types. More...
bool | operator!= (const wxString &s, const wxUniCharRef &c)
| Comparison operators char types. More...
bool | operator!= (const wxString &s, char c)
| Comparison operators char types. More...
bool | operator!= (const wxString &s, wchar_t c)
| Comparison operators char types. More...

## Variables
wxString | wxEmptyString
| The global wxString instance of an empty string. More...

## Function Documentation

## ◆ operator!=() [1/16]

bool operator!= | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [2/16]

bool operator!= | ( | const wxString & | s1,
|  | const wxCStrData & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [3/16]

bool operator!= | ( | const wxCStrData & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [4/16]

bool operator!= | ( | const wxString & | s1,
|  | const wxWCharBuffer & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [5/16]

bool operator!= | ( | const wxWCharBuffer & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [6/16]

bool operator!= | ( | const wxString & | s1,
|  | const wxCharBuffer & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [7/16]

bool operator!= | ( | const wxCharBuffer & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator!=() [8/16]

bool operator!= | ( | const wxUniChar & | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [9/16]

bool operator!= | ( | const wxUniCharRef & | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [10/16]

bool operator!= | ( | char | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [11/16]

bool operator!= | ( | wchar_t | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [12/16]

bool operator!= | ( | int | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [13/16]

bool operator!= | ( | const wxString & | s,
|  | const wxUniChar & | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [14/16]

bool operator!= | ( | const wxString & | s,
|  | const wxUniCharRef & | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [15/16]

bool operator!= | ( | const wxString & | s,
|  | char | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator!=() [16/16]

bool operator!= | ( | const wxString & | s,
|  | wchar_t | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator<()

bool operator< | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator<=()

bool operator<= | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [1/16]

bool operator== | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [2/16]

bool operator== | ( | const wxString & | s1,
|  | const wxCStrData & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [3/16]

bool operator== | ( | const wxCStrData & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [4/16]

bool operator== | ( | const wxString & | s1,
|  | const wxWCharBuffer & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [5/16]

bool operator== | ( | const wxWCharBuffer & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [6/16]

bool operator== | ( | const wxString & | s1,
|  | const wxCharBuffer & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [7/16]

bool operator== | ( | const wxCharBuffer & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator==() [8/16]

bool operator== | ( | const wxUniChar & | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [9/16]

bool operator== | ( | const wxUniCharRef & | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [10/16]

bool operator== | ( | char | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [11/16]

bool operator== | ( | wchar_t | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [12/16]

bool operator== | ( | int | c,
|  | const wxString & | s
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [13/16]

bool operator== | ( | const wxString & | s,
|  | const wxUniChar & | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [14/16]

bool operator== | ( | const wxString & | s,
|  | const wxUniCharRef & | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [15/16]

bool operator== | ( | const wxString & | s,
|  | char | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator==() [16/16]

bool operator== | ( | const wxString & | s,
|  | wchar_t | c
| ) |  |
| inline

Comparison operators char types.

## ◆ operator>()

bool operator> | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## ◆ operator>=()

bool operator>= | ( | const wxString & | s1,
|  | const wxString & | s2
| ) |  |
| inline

Comparison operator for string types.

## Variable Documentation

## ◆ wxEmptyString

wxString wxEmptyString

The global wxString instance of an empty string.

Used extensively in the entire wxWidgets API.